// File: RF.h
//------------------------------------------------------------------------------
// Author: Giovanni de Sanctis
// Email: info@lateral-technologies.com
//------------------------------------------------------------------------------
// Date: Sep 2019
// RF remote decoder
//------------------------------------------------------------------------------


#ifndef RF_H
#define	RF_H

#include <stdint.h>

#define RF_A            0x01u
#define RF_B            0x02u
#define RF_C            0x03u
#define RF_D            0x04u

#define RF_LONG_MASK    0x80u
#define RF_LONG_A       RF_LONG_MASK|RF_A
#define RF_LONG_B       RF_LONG_MASK|RF_B
#define RF_LONG_C       RF_LONG_MASK|RF_C
#define RF_LONG_D       RF_LONG_MASK|RF_D

void initRF();
uint8_t rfGetNewCode();
uint8_t isRFreceiving();
#endif	/* RF_H */

